Ingestion Get
curl --request GET \
--url https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id} \
--header 'Authorization: <api-key>'import requests
url = "https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "queued",
"output_files": [
"<string>"
],
"file_records": [
{
"record_id": "<string>",
"ingestion_job_id": "<string>",
"alignment_file_id": "<string>",
"user_id": "<string>",
"filename": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"metaflow_job_id": "<string>",
"method": "<string>",
"queue_position": 123,
"error_message": "<string>",
"suggested_fix": "<string>",
"worker_id": "<string>",
"deleted": false,
"processing_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"progress": 123,
"progress_at": "2023-11-07T05:31:56Z",
"projected_progress": 123,
"projected_progress_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get file conversion job
deprecated
Retrieve the status and file records for a specific file conversion job.
GET
/
v1
/
flow
/
alignment
/
ingestion
/
{ingestion_job_id}
Ingestion Get
curl --request GET \
--url https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id} \
--header 'Authorization: <api-key>'import requests
url = "https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://flow.seekr.com/v1/flow/alignment/ingestion/{ingestion_job_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "queued",
"output_files": [
"<string>"
],
"file_records": [
{
"record_id": "<string>",
"ingestion_job_id": "<string>",
"alignment_file_id": "<string>",
"user_id": "<string>",
"filename": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"metaflow_job_id": "<string>",
"method": "<string>",
"queue_position": 123,
"error_message": "<string>",
"suggested_fix": "<string>",
"worker_id": "<string>",
"deleted": false,
"processing_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"progress": 123,
"progress_at": "2023-11-07T05:31:56Z",
"projected_progress": 123,
"projected_progress_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}The alignment endpoints stop working on November 9, 2026. Use
GET /v1/flow/ingestion/{ingestion_job_id}, or GET /v1/flow/data-jobs/{data_job_id}, which embeds ingestion records with queue positions.file_records array. Each file record includes the file’s processing state, timestamps for each state transition, queue position, and error diagnostics when failures occur.
For job states, error codes, and SDK examples, see Monitor ingestion.Authorizations
Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.
Path Parameters
ID of the file conversion job.
Response
Success
ID of the file conversion job.
Time the file conversion job was created, in ISO 8601 format.
Available options:
queued, running, completed, failed IDs of the files the job produced.
Detailed records for each file, including queue positions.
Show child attributes
Show child attributes
Last modified on November 4, 2026
⌘I